MATLAB Answers

Installation failure for MATLAB Coder Interface for Deep Learning Libraries and GPU Coder Interface for Deep Learning Libraries support packages in MATLAB R2020b release

35 views (last 30 days)
Bill Chou
Bill Chou on 17 Nov 2020
Answered: Bill Chou on 17 Nov 2020
In R2020b, when trying to install the MATLAB Coder Interface for Deep Learning Libraries or GPU Coder Interface for Deep Learning Libraries support packages, I get the following error:
Download Error: There was a problem downloading the support package. To resolve this issue, see this MATLAB Answer
How can I proceed with installing these support packages in MATLAB R2020b release?

  0 Comments

Sign in to comment.

Accepted Answer

Bill Chou
Bill Chou on 17 Nov 2020
Due to dependencies amongst the following support packages (please note the version numbers below):
  • MATLAB Coder Interface for Deep Learning Libraries (version 20.2.1)
  • GPU Coder Interface for Deep Learning Libraries (version 20.2.1)
  • Deep Learning HDL Toolbox Support Package for Xilinx FPGA and SoC Devices (version 20.2.1)
If you first install the Deep Learning HDL Toolbox Support Package for Xilinx FPGA and SoC Devices support package, then try to install either MATLAB Coder Interface for Deep Learning Libraries or GPU Coder Interface for Deep Learning Libraries support packages, you will encounter the error.
To work around this issue, please follow these steps:
  1. Uninstall Deep Learning HDL Toolbox Support Package for Xilinx FPGA and SoC Devices support package
  2. Install MATLAB Coder Interface for Deep Learning Libraries and/or GPU Coder Interface for Deep Learning Libraries
  3. Reinstall Deep Learning HDL Toolbox Support Package for Xilinx FPGA and SoC Devices support package

  0 Comments

Sign in to comment.

More Answers (0)

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!